\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{abstract}[2019/10/28 SMAI-MODE - Abstract for workshop booklet]

\RequirePackage{xifthen}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax

\LoadClass[a4paper,11pt]{article}

\RequirePackage{amsmath,amssymb,amsfonts,amsthm}
\RequirePackage[centercolon]{mathtools}

\frenchspacing 				% override amsmath \nonfrenchspacing

\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}

\usepackage[a4paper,margin=1in,head=18pt]{geometry}
\usepackage{fancyhdr,latexsym,graphicx}
\parindent=0cm

\lhead{Journ\'ees SMAI MODE 2020} 
\rhead{Paris-Saclay, 25-27 mars 2020}
\pagestyle{fancy}
\pagenumbering{gobble}

\def\@institute{@empty}
\newcommand{\institute}[1]{\gdef\@institute{#1}}
\def\@coauthor{@empty}
\newcommand{\coauthor}[1]{\gdef\@coauthor{#1}}

\def\and{\/\emph{and} }

\providecommand{\keywords}[1]
{
  {\textit{Keywords :}} #1
    \par
    \vskip 1.5em

}

\bibliographystyle{plain}

%********************************************
% c'est mieux de redefinir la commande maketitle, car sinon on
% peut utiliser encore la commande standard et cela ne donnera pas le 
% bon resultat 
%***********************************************
\date{}

\renewcommand{\maketitle}{
    \newpage%
    \null
    \begin{center}%
        \let \footnote \thanks
        {\Large\bfseries \@title \par}%
        \vskip 1.5em%
        {\large\bfseries
        \lineskip .5em%
        \begin{tabular}[t]{c}%
            \underline{\@author} \\
            \ifthenelse{\equal{\@institute}{@empty}}{Please indicate your institute-affiliation}{ \@institute}%
        \end{tabular}\par%
        \ifthenelse{\equal{\@coauthor}{@empty}}{}%
            {\vskip 0.5em%
            \begin{tabular}[t]{c}%
                Joint work with \emph{\@coauthor}%
            \end{tabular}\par}
        }%
	\coauthor{@empty}
    \end{center}%
    \par
    \vskip 1.5em
}

\let\ps@plain\ps@empty

\renewcommand{\section}{%
    \@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\large\bfseries}}






